petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAGetPreallocationCenterDimension

Return the topology used to determine adjacency

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetPreallocationCenterDimension(DM dm, PetscInt *preallocCenterDim)

### Input Parameter

dm -The DM object

### Output Parameter

preallocCenterDim -The dimension of points which connect adjacent entries

### Notes

        FEM:   Two points p and q are adjacent if q \in closure(star(p)), preallocCenterDim = dim

        FVM:   Two points p and q are adjacent if q \in star(cone(p)),    preallocCenterDim = dim-1

        FVM++: Two points p and q are adjacent if q \in star(closure(p)), preallocCenterDim = 0

### See Also

DMCreateMatrix(), DMDAPreallocateOperator(), DMDASetPreallocationCenterDimension()

### Level

developer

### Location

src/dm/impls/da/dapreallocate.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages